Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class AssetsPCICustomersFrom
    Inherits BaseObject
    Private _AssetsPCIHeader As AssetsPCIHeader
    Private _CustomersFrom As CustomersFrom
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("AssetsPCIHeader-AssetsPCICustomersFrom", GetType(AssetsPCIHeader))> _
    Property AssetsPCIHeader As AssetsPCIHeader
        Get
            Return _AssetsPCIHeader
        End Get
        Set(value As AssetsPCIHeader)
            SetPropertyValue("AssetsPCIHeader", _AssetsPCIHeader, value)
        End Set
    End Property
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
End Class
